Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class SearchOptionsBeanInfo.TypeEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.beanexplorer.editors.TagEditorSupport
                  |
                  +--biouml.editor.SearchOptionsBeanInfo.TypeEditor

Direct Known Subclasses:
  SearchOptionsBeanInfo.DiagramTypeEditor, SearchOptionsBeanInfo.IdentifierEditor, SearchOptionsBeanInfo.LayoutTypeEditor, SearchOptionsBeanInfo.NodeTypeEditor

public static class SearchOptionsBeanInfo.TypeEditor
extends TagEditorSupport
implements PropertyEditorEx

Method Summary
`String` | `getAsText()` Gets the Integer (enum) property value as text.
`Object` | `getBean()` Gets a bean - owner of the property for which Property Inspector invokes this editor
`Component` | `getCustomEditor(Component parent, boolean isSelected)` This method returns a Component that edits value of the property.
`Component` | `getCustomRenderer(Component parent, boolean isSelected, boolean hasFocus)` This method returns a Component that renders value of the property.
`void` | `setAsText(String text)`
`void` | `setBean(Object bean)` Sets a bean - owner of the property for which Property Inspector invokes this editor Thsi method allows the developer to access the bean from the code that related to the properties

Methods inherited from class com.beanexplorer.editors.TagEditorSupport
`getTags`

Methods inherited from class java.beans.PropertyEditorSupport
`setValue, getValue, isPaintable, paintValue, getJavaInitializationString, getCustomEditor, supportsCustomEditor, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Method Detail

### getAsText

    public String getAsText()

  Gets the Integer (enum) property value as text. Override this method for String format value representation
  Returns: The property value in human reading string.

### getBean

    public Object getBean()

  Gets a bean - owner of the property for which Property Inspector invokes this editor
  Returns: the current bean

### getCustomEditor

    public Component getCustomEditor(Component parent, boolean isSelected)

  This method returns a Component that edits value of the property.
  Parameters:
    parent - the Component representing Property Inspector that has requested the editor.
    isSelected - true if the cell is to be highlighted
  Returns: editor Component

### getCustomRenderer

    public Component getCustomRenderer(Component parent, boolean isSelected, boolean hasFocus)

  This method returns a Component that renders value of the property. Component is used for drawing only and will never obtain focus. Use java.beans.PropertyEditorSupport.getValue() method to get current property value.
  Parameters:
    parent - the Component representing Property Inspector that has requested a editor
    isSelected - true if the cell is to be highlighted
    hasFocus - true if the cell has focus.
  Returns: rendered Component

### setAsText

    public void setAsText(String text)

### setBean

    public void setBean(Object bean)

  Sets a bean - owner of the property for which Property Inspector invokes this editor Thsi method allows the developer to access the bean from the code that related to the properties
  Parameters:
    bean - the current bean

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM